before_script:
  - |
    apt-get update
    apt-get -y --no-install-recommends install jq
    apt-get clean
    rm -rf /var/lib/apt/lists/*

Lint:plugins:default:
  stage: test
  image: containers.ethitter.com:443/docker/images/debian:bullseye
  script:
    - |
      jq --null-input --arg yaml "$(<./plugins/default.yml)" '.content=$yaml' \
      | curl "https://git.ethitter.com/api/v4/ci/lint?include_merged_yaml=true" \
        --header 'Content-Type: application/json' \
        --header 'PRIVATE_TOKEN: $CI_JOB_TOKEN' \
        --data @- \
      | jq --raw-output '.merged_yaml | fromjson'
